package cn.com.tenlion.buildingpictures.pojo.dtos.picturestemplate;

import cn.com.tenlion.buildingpictures.pojo.dtos.picturestemplatearea.PicturesTemplateAreaBuildingDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @ClassName: PicturesTemplateBuildingDTO
 * @Description: 供其他业务继承使用的模板类
 * @Author: WenG
 * @Date: 2020-10-20 10:49
 * @Version: 1.0
 **/
@ApiModel
public class PicturesTemplateBuildingDTO implements Cloneable {

    @ApiModelProperty(name = "picturesTemplateId", value = "模板")
    protected String picturesTemplateId;
    @ApiModelProperty(name = "picturesTemplateCode", value = "模板编码")
    protected String picturesTemplateCode;
    @ApiModelProperty(name = "picturesTemplateBackgroundImage", value = "模板底图")
    protected String picturesTemplateBackgroundImage;
    @ApiModelProperty(name = "picturesTemplateTitle", value = "模板名称")
    protected String picturesTemplateTitle;
    @ApiModelProperty(name = "picturesTemplateHeight", value = "模板高度")
    protected Double picturesTemplateHeight;
    @ApiModelProperty(name = "picturesTemplateWidth", value = "模板宽度")
    protected Double picturesTemplateWidth;
    @ApiModelProperty(name = "areaList", value = "模块区域")
    protected List<PicturesTemplateAreaBuildingDTO> areaList;
    @ApiModelProperty(name = "picturesTemplatePicture", value = "模板预览图Base64")
    protected String picturesTemplatePicture;
    @ApiModelProperty(name = "picturesTemplatePictureUrl", value = "模板预览图ID")
    protected String picturesTemplatePictureUrl;
    @ApiModelProperty(name = "picturesTemplateRemark", value = "备注")
    protected String picturesTemplateRemark;
    @ApiModelProperty(name = "picturesTemplatePublishStatus", value = "发布状态")
    protected String picturesTemplatePublishStatus;

    public String getPicturesTemplatePictureUrl() {
        return picturesTemplatePictureUrl == null ? "" : picturesTemplatePictureUrl;
    }

    public void setPicturesTemplatePictureUrl(String picturesTemplatePictureUrl) {
        this.picturesTemplatePictureUrl = picturesTemplatePictureUrl;
    }

    public Object clone() {
        return this.clone();
    }

    public String getPicturesTemplatePublishStatus() {
        return picturesTemplatePublishStatus == null ? "" : picturesTemplatePublishStatus;
    }

    public void setPicturesTemplatePublishStatus(String picturesTemplatePublishStatus) {
        this.picturesTemplatePublishStatus = picturesTemplatePublishStatus;
    }

    public String getPicturesTemplateRemark() {
        return picturesTemplateRemark == null ? "" : picturesTemplateRemark;
    }

    public void setPicturesTemplateRemark(String picturesTemplateRemark) {
        this.picturesTemplateRemark = picturesTemplateRemark;
    }

    public String getPicturesTemplateId() {
        return picturesTemplateId == null ? "" : picturesTemplateId;
    }

    public void setPicturesTemplateId(String picturesTemplateId) {
        this.picturesTemplateId = picturesTemplateId;
    }

    public String getPicturesTemplateCode() {
        return picturesTemplateCode == null ? "" : picturesTemplateCode;
    }

    public void setPicturesTemplateCode(String picturesTemplateCode) {
        this.picturesTemplateCode = picturesTemplateCode;
    }

    public String getPicturesTemplateBackgroundImage() {
        return picturesTemplateBackgroundImage == null ? "" : picturesTemplateBackgroundImage;
    }

    public void setPicturesTemplateBackgroundImage(String picturesTemplateBackgroundImage) {
        this.picturesTemplateBackgroundImage = picturesTemplateBackgroundImage;
    }

    public String getPicturesTemplateTitle() {
        return picturesTemplateTitle == null ? "" : picturesTemplateTitle;
    }

    public void setPicturesTemplateTitle(String picturesTemplateTitle) {
        this.picturesTemplateTitle = picturesTemplateTitle;
    }

    public Double getPicturesTemplateHeight() {
        return picturesTemplateHeight;
    }

    public void setPicturesTemplateHeight(Double picturesTemplateHeight) {
        this.picturesTemplateHeight = picturesTemplateHeight;
    }

    public Double getPicturesTemplateWidth() {
        return picturesTemplateWidth;
    }

    public void setPicturesTemplateWidth(Double picturesTemplateWidth) {
        this.picturesTemplateWidth = picturesTemplateWidth;
    }

    public List<PicturesTemplateAreaBuildingDTO> getAreaList() {
        if (areaList == null) {
            return new ArrayList<>();
        }
        return areaList;
    }

    public void setAreaList(List<PicturesTemplateAreaBuildingDTO> areaList) {
        this.areaList = areaList;
    }

    public String getPicturesTemplatePicture() {
        return picturesTemplatePicture == null ? "" : picturesTemplatePicture;
    }

    public void setPicturesTemplatePicture(String picturesTemplatePicture) {
        this.picturesTemplatePicture = picturesTemplatePicture;
    }

}
